<div class="reasonCode">
    <div class="">
        <form class="form-horizontal ng-pristine ng-valid ng-submitted">
            <div class="form-group">
                <label class="rc-col-2-5 control-label text-right" >
                    <span class="text-red">*</span>原因代码组：</label>
                <div class="col-sm-3 col-xs-3">
                    <ui-select class="andon-content-ui-select" ng-change="reasonCodeGroup($select);"
                               ng-model="config.currentReasonCodeGroup">
                        <ui-select-match placeholder="--- 请选择 ---">
                            <span ng-bind="config.currentReasonCodeGroup.description"></span>
                        </ui-select-match>
                        <!-- <ui-select-header>请选择</ui-select-header> -->
                        <ui-select-no-choice>
                            <a href ng-click="$select.toggle($event);">暂无数据</a>
                        </ui-select-no-choice>
                        <ui-select-choices repeat="item in (config.reasonCodeGroups) track by $index">
                            <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                        </ui-select-choices>
                    </ui-select>
                </div>

                <div class="one-line-btns">
                    <div class="checkbox checkbox-primary checkbox-inline">
                        <input type="checkbox" id="inlineCheckbox1"
                               value="option1" ng-model="config.enabled"
                                ng-change="enabledChanged()"
                               ng-disabled="config.btnDisabledQuery">
                        <label for="inlineCheckbox1">是否显示未被启用的数据</label>
                    </div>
                </div>
                <div class="one-line-btns">
                    <button ng-click="queryDatas();" ng-disabled="config.btnDisabledQuery" class="btn btn-primary">查询</button>

                </div>
                <div class="one-line-btns">
                    <button ng-click="addReasonCodeRows();"
                            ng-disabled="config.btnDisabledAdd"
                            class="btn btn-primary"
                            ng-if="reasonCodeConfig.canEdit">新增</button>
                    <input ng-disabled="config.inputDisabledNum"
                           type="number" class="line-input"
                           ng-model="config.addRowsNum"
                           ng-if="reasonCodeConfig.canEdit"
                            min="1">
                    <label class="control-label"
                           ng-if="reasonCodeConfig.canEdit">行</label>
                </div>
                <div class="pull-right">
                    <button ng-click="saveAllAcitons();"
                            ng-disabled="config.btnDisabledSave"
                            class="btn btn-primary"
                            ng-if="reasonCodeConfig.canEdit">保存</button>
                </div>
            </div>
        </form>
        <div ui-grid="gridReasonCodeMaintain" class="myMiddleGrid"
             ui-grid-edit ui-grid-cellnav ui-grid-selection
             ui-grid-auto-resize
             ui-grid-pagination ui-grid-validate ui-grid-resize-columns></div>

    </div>
</div>
